AutoSys Workload Automation

Expand all | Collapse all

Common Components and/or EEM installer will not launch after Linux 6 compatibility packages?

  • 1.  Common Components and/or EEM installer will not launch after Linux 6 compatibility packages?

    Posted 04-07-2015 03:46 PM

    Has anyone encountered a problem with common component and/or eem installers not launching after Linux compatibility packages have been installed?

    Redhat 6

    Workload Automation 11.3

    EEM 12.51

     

    Verified file and directory permissions

    root user.

    Temp directory has enough space.

    Tried manual install no luck

     

    No error messages

    Installer not launching so no log files written



  • 2.  Re: Common Components and/or EEM installer will not launch after Linux 6 compatibility packages?

    Posted 04-07-2015 08:23 PM

    Hi -

    Could you please mention the specific packages installed?

     

    Thanks,

    Chandru



  • 3.  Re: Common Components and/or EEM installer will not launch after Linux 6 compatibility packages?

    Posted 04-08-2015 01:38 PM


    If would have been packages corresponding with the list below. I have asked for the exact list. I'll update as soon as received.

     

    Red Hat Enterprise Linux 6 x86 64-bit

    compat-libstdc++-33 or higher is required.
    The 32-bit version is required on the 64-bit version of Linux.
    libstdc++.so.5, libstdc++.so.6, or higher is required.
    The libstdc++.so.5 shared library is contained in the
    compat-libstdc++-33-3.2.3-69.el6.i686.rpm package.
    The libstdc++.so.6 shared library is contained in the
    libstdc++-4.4.4-13.el6.i686.rpm package.
    libuuid.so.1 is required.
    The 32-bit version is required on the 64-bit version of Linux.
    libaio.so.1 is required.
    The 32-bit version is required on the 64-bit version of Linux.
    ncurses (32-bit) version 5 or higher is required on the 64-bit version of Linux.

     

     

     



  • 4.  Re: Common Components and/or EEM installer will not launch after Linux 6 compatibility packages?

    Posted 04-08-2015 01:52 PM

    If /tmp is mounted such that it doesn't allow scripts to be executed then the install will not work. The CA product installation build temporary

    scripts in /tmp and then executes them. It's been awhile so I don't recall if there was or wasn't an error message. I've had the problem on Red Hat

    5 and 6.



  • 5.  Re: Common Components and/or EEM installer will not launch after Linux 6 compatibility packages?

    Posted 04-08-2015 10:41 PM

    Lack of execute permission on /tmp (/tmp mounted with ‘noexec’) will be a definite issue as John mentioned. Messages similar to the following are logged in the install log:

    Installation product "ca-cs-utils", version "11.2.11350.0"

    ===================================================================

    /var/tmp/rpm-tmp.uNT5oZ: line 60: /tmp/opt/CA/SharedComponents/csutils/bin/ca_realpath: Permission denied

    /var/tmp/rpm-tmp.uNT5oZ: line 64: /tmp/opt/CA/SharedComponents/csutils/bin/caprofile: Permission denied

     

    Thanks,

    Chandru



  • 6.  Re: Common Components and/or EEM installer will not launch after Linux 6 compatibility packages?

    Posted 04-09-2015 04:48 PM

    Packages installed

     

    compat-libstdc++-33.x86_64

    compat-libstdc++-33.i686

    libstdc++.i686-4.4.7-3.e16.i686

    libaio.i686

    ncurses-libs.i686

    libuuid.i686

     

    I had to update the libuuid.x86_64 package that was already installed.

     

    I installed all these packages before installing the Common Components.